imports:
    - { resource: constant.yaml }
parameters:
    .container.dumper.inline_factories: true
    debug.container.dump: false
    site_dir: '%kernel.project_dir%/'
    uploads_dir: '%kernel.project_dir%/public/media'
    uploads_url: '%kernel.project_dir%/public/uploads/'
    media_url: '%kernel.project_dir%/public/media/'
    assets_url: '%kernel.project_dir%/public/assets/'

services:
    App\Controller\Security\AppAuthenticator:
        arguments: []

    App\:
        resource: '../src/*'
        public: false
        autowire: true
        autoconfigure: true
        exclude:
            - '../src/DependencyInjection/'
            - '../src/Entity/'
            - '../src/Kernel.php'
            - '../src/Tests/'
            - '../src/Datatables/'

    Symfony\Component\DependencyInjection\ContainerInterface:
        alias: 'service_container'

    _defaults:
        autowire: true      # Automatically injects dependencies in your services.
        autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.
        public: true       # Allows optimizing the container by removing unused services; this also means

    App\Datatables\Datatable\Main\Order\OrderDatatable:
        arguments:
            $router: '@router'
            $dataTableFactory: '@Omines\DataTablesBundle\DataTableFactory'

    App\Datatables\Datatable\Main\Product\ProductDatatable:
        arguments:
            $router: '@router'
            $dataTableFactory: '@Omines\DataTablesBundle\DataTableFactory'

    App\Datatables\Datatable\Main\Solutions\SolutionsDatatable:
        arguments:
            $router: '@router'
            $dataTableFactory: '@Omines\DataTablesBundle\DataTableFactory'

    App\Datatables\Datatable\Main\Product\ProductReviewDatatable:
        arguments:
            $router: '@router'
            $dataTableFactory: '@Omines\DataTablesBundle\DataTableFactory'

    App\Datatables\Datatable\Main\Projects\ProjectsDatatable:
        arguments:
            $router: '@router'
            $dataTableFactory: '@Omines\DataTablesBundle\DataTableFactory'

    App\Datatables\Datatable\Main\Affiliates\AffiliatesDatatable:
        arguments:
            $router: '@router'
            $dataTableFactory: '@Omines\DataTablesBundle\DataTableFactory'

    App\Datatables\Datatable\Main\News\NewsDatatable:
        arguments:
            $router: '@router'
            $dataTableFactory: '@Omines\DataTablesBundle\DataTableFactory'

    App\Datatables\Datatable\Main\Order\WishlistDatatable:
        arguments:
            $router: '@router'
            $dataTableFactory: '@Omines\DataTablesBundle\DataTableFactory'

    App\Datatables\Datatable\Main\Order\OrderRefundRequestDatatable:
        arguments:
            $router: '@router'
            $dataTableFactory: '@Omines\DataTablesBundle\DataTableFactory'

    App\Datatables\Datatable\Main\Users\UsersDatatable:
        arguments:
            $router: '@router'
            $dataTableFactory: '@Omines\DataTablesBundle\DataTableFactory'

    App\Datatables\Datatable\Main\Report\SearchRecordDatatable:
        arguments:
            $dataTableFactory: '@Omines\DataTablesBundle\DataTableFactory'

    App\Datatables\Datatable\Main\Order\PaymentNotificationDatatable:
        arguments:
            $router: '@router'
            $dataTableFactory: '@Omines\DataTablesBundle\DataTableFactory'

    App\Datatables\Datatable\Main\Setting\CountryDatatable:
        arguments:
            $dataTableFactory: '@Omines\DataTablesBundle\DataTableFactory'

    App\Datatables\Datatable\Main\Setting\TaxRateDatatable:
        arguments:
            $router: '@router'
            $dataTableFactory: '@Omines\DataTablesBundle\DataTableFactory'

    App\Datatables\Datatable\Main\Video\VideoDatatable:
        arguments:
            $router: '@router'
            $dataTableFactory: '@Omines\DataTablesBundle\DataTableFactory'

    App\EventListener\LoginSubscriber:
        arguments:
            - '@Doctrine\ORM\EntityManagerInterface'
            - '@Symfony\Component\HttpFoundation\RequestStack'

    App\Controller\:
        resource: '../src/Controller/'
        tags: [ 'controller.service_arguments' ]


    # SystemSettings service tanımı
#    App\Service\Php\Core\SystemSettings:
#        arguments:
        # Eğer başka bağımlılıkları varsa buraya ekleyin

#    App\Helper\System\Currency\CurrencyHelper:
#        public: true

#    App\Service\Php\Core\Notification\NotificationMail:
#        public: true

    Twig\Extension\StringLoaderExtension:
        tags: [ twig.extension ]
